## lthor 3.2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(lthor C)

SET(LIBTHOR_SRCS
	libthor/thor_acm.c
	libthor/thor.c
	libthor/thor_raw_file.c
	libthor/thor_tar.c
	libthor/thor_transport.c
	libthor/thor_usb.c
	libthor/thor_net.c
)

SET(SRCS
	lthor.c
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/libthor)

SET(VENDOR "samsung")
SET(PACKAGE ${PROJECT_NAME})
SET(PKGNAME "${PACKAGE}")
SET(PREFIX ${CMAKE_INSTALL_PREFIX})
SET(BINDIR "${PREFIX}/bin")

SET(PACKAGE_VERSION "3.2")


IF("${CMAKE_BUILD_TYPE}" STREQUAL "")
	SET(CMAKE_BUILD_TYPE "Release")
ENDIF("${CMAKE_BUILD_TYPE}" STREQUAL "")
MESSAGE("Build type: ${CMAKE_BUILD_TYPE}")


INCLUDE(FindPkgConfig)
pkg_check_modules(pkgs REQUIRED 
	libarchive
	libusb-1.0>=1.0.17
)

FOREACH(flag ${pkgs_CFLAGS})
	SET(EXTRA_CFLAGS "${EXTRA_CFLAGS} ${flag}")
ENDFOREACH(flag)

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${EXTRA_CFLAGS}")
SET(CMAKE_C_FLAGS_DEBUG "-O0 -g")
SET(CMAKE_C_FLAGS_RELEASE "-O2")


ADD_DEFINITIONS("-DVENDOR=\"${VENDOR}\"")
ADD_DEFINITIONS("-DPACKAGE=\"${PACKAGE}\"")
ADD_DEFINITIONS("-DPACKAGE_NAME=\"${PKGNAME}\"")
ADD_DEFINITIONS("-DPREFIX=\"${PREFIX}\"")
ADD_DEFINITIONS("-DPACKAGE_VERSION=\"${PACKAGE_VERSION}\"")
ADD_DEFINITIONS("-D_FILE_OFFSET_BITS=64")

#SET(CMAKE_EXE_LINKER_FLAGS "-Wl,--as-needed")
IF(APPLE)
	SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS}")
	INCLUDE_DIRECTORIES("/usr/include/machine")
ELSE()
	SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed")
ENDIF()

ADD_LIBRARY(libthor ${LIBTHOR_SRCS})

ADD_EXECUTABLE(${PROJECT_NAME} ${SRCS})

TARGET_LINK_LIBRARIES(${PROJECT_NAME} libthor rt ${pkgs_LDFLAGS})


INSTALL(TARGETS ${PROJECT_NAME} DESTINATION ${BINDIR})
INSTALL(FILES 99-lthor.rules
        DESTINATION "/etc/udev/rules.d"
        COMPONENT "udev")

=== debian/changelog ===
lthor (3.2) unstable; urgency=low

  * Upgraded to v3.2
  * fix network build error with aio_sigevent in Ubuntu 18.04

 -- Seung-Woo Kim <sw0312.kim@samsung.com>  Wed, 16 Jan 2019 17:09:42 +0900

lthor (3.1) unstable; urgency=low

  * Upgraded to v3.1
  * fix network flash crash with -o0 optimization build

 -- Seung-Woo Kim <sw0312.kim@samsung.com>  Wed, 2 Jan 2019 16:16:35 +0900

lthor (3.0) unstable; urgency=low

  * Upgraded to v3.0
  * Support THOR protocol 5.0 and flashing via network

 -- Seung-Woo Kim <sw0312.kim@samsung.com>  Fri, 4 May 2018 11:20:12 +0900

lthor (2.0) unstable; urgency=low

  * Upgraded to v2.0
  * Use libusb instead of cdc-acm kernel driver

 -- Krzysztof Opasiak <k.opasiak@samsung.com>  Wed, 13 Jul 2016 11:54:20 +0200

lthor (1.5) unstable; urgency=low

  * Upgraded to v1.5

 -- Jaewon Kim <jaewon02.kim@samsung.com>  Fri, 31 Oct 2014 16:45:26 +0900

lthor (1.4) unstable; urgency=low

  * Upgraded to v1.4

 -- Ed Bartosh <eduard.bartosh@intel.com>  Sun, 08 Dec 2013 17:45:26 +0200

lthor (1.3) unstable; urgency=low

  * Upgraded to v. 1.3

 -- Ed Bartosh <eduard.bartosh@intel.com>  Thu, 25 Apr 2013 16:38:49 +0300

lthor (1.0) unstable; urgency=low

  * Initial upload

 -- Ed Bartosh <eduard.bartosh@intel.com>  Mon, 12 Nov 2012 19:08:56 +0200

## lthor 3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 SET(PREFIX ${CMAKE_INSTALL_PREFIX})
 SET(BINDIR "${PREFIX}/bin")
 
-SET(PACKAGE_VERSION "3.2")
+SET(PACKAGE_VERSION "3.4")
 
 
 IF("${CMAKE_BUILD_TYPE}" STREQUAL "")

=== debian/changelog ===
lthor (3.4) unstable; urgency=low

  * Upgraded to v3.4
  * fix race condition for increasing chunk_number unintendly

 -- Dongwoo Lee <dwoo08.lee@samsung.com>  Thu Dec 19 15:23:47 2024 +0900

lthor (3.3) unstable; urgency=low

  * Upgraded to v3.3
  * fix issue for sent file size less than 1KB

 -- Seung-Woo Kim <sw0312.kim@samsung.com>  Fri, 11 Oct 2024 15:22:12 +0900

=== debian/control ===
Source: lthor
Section: net
Priority: extra
Maintainer: Ed Bartosh <eduard.bartosh@intel.com>
Build-Depends: debhelper (>= 5), pkg-config, cmake, libarchive-dev, libusb-1.0-0-dev (>= 1.0.17)
Standards-Version: 3.9.4

Package: lthor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev
Description: Phone flashing tool
 Tool for downloading binaries from a Linux host PC to a target phone.
 It uses a USB cable as a physical communication medium.
 It is prerequisite that the boot-loader should support download protocol
 which is compatible with 'lthor'
